FixedSizeAllocatorWithCleanup< T, S, A, T_Align16 > Class Template Reference
Inheritance diagram for FixedSizeAllocatorWithCleanup< T, S, A, T_Align16 >:

## Public Types

typedef AllocatorBase< T > ::value_type | value_type
typedef AllocatorBase< T > ::size_type | size_type
typedef AllocatorBase< T > ::difference_type | difference_type
typedef AllocatorBase< T >::pointer | pointer
typedef AllocatorBase< T > ::const_pointer | const_pointer
typedef AllocatorBase< T > ::reference | reference
typedef AllocatorBase< T > ::const_reference | const_reference

## Public Member Functions

pointer | allocate (size_type n)
pointer | allocate (size_type n, const void *hint)
void | deallocate (void *p, size_type n)
pointer | reallocate (pointer p, size_type oldSize, size_type newSize, bool preserve)
size_type | max_size () const
pointer | address (reference r) const
const_pointer | address (const_reference r) const
void | construct (pointer p, const T &val)
void | destroy (pointer p)

## Static Protected Member Functions

static void | CheckSize (size_t n)

## Detailed Description

### template<class T, size_t S, class A = NullAllocator<T>, bool T_Align16 = false>
class FixedSizeAllocatorWithCleanup< T, S, A, T_Align16 >

Definition at line 161 of file secblock.h.

The documentation for this class was generated from the following file:

- secblock.h